### Method

# Gio SocketConnection connect

since: 2.32

#### Declaration

    gboolean
    g_socket_connection_connect (
      GSocketConnection* connection,
      GSocketAddress* address,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Connect `connection` to the specified remote address.

Available since: 2.32

#### Parameters

`address`

  Type: `GSocketAddress`

  A `GSocketAddress` specifying the remote address.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A %GCancellable or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the connection succeeded, `FALSE` on error.